0

I'm unable to install any packages from PPAs in Elementary OS.

sudo apt-get install elementary-tweaks

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package elementary-tweaks

I've run sudo apt-get update and found the correct PPAs. This has happened with any package I've tried to get from a PPA:

  • Conky Manager
  • Elementary Tweaks
  • Sublime Text 3
  • Nvidia Drivers (I later downloaded some of these manually from websites)

I'm able to add the PPAs, but not install the packages. :(

0

1 Answer 1

1

Try to do this:

sudo add-apt-repository ppa:philip.scott/elementary-tweaks && sudo apt-get update
sudo apt-get install elementary-tweaks

If you have never added a PPA on Loki before, you might need to run this command first:

sudo apt-get install software-properties-common

Also, you can build it by your own.

sudo apt-get install libgconf2-dev libpolkit-gobject-1-dev libswitchboard-2.0-dev elementary-sdk
mkdir build
cd build
cmake -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=/usr ../
make 

sudo make install 
switchboard
9
  • I''ve already run all the commands listed in the first solution. I did try the second solution, but I got: ` E: Unable to locate package libswitchboard-2.0-dev E: Couldn't find any package by glob 'libswitchboard-2.0-dev' E: Couldn't find any package by regex 'libswitchboard-2.0-dev' E: Unable to locate package elementary-sdk`
    – Kachamenus
    Jan 15, 2017 at 17:04
  • Run this command: grep -RoPish '(?<=ppa.launchpad.net/)[^/]+/[^/ ]+' /etc/apt | sort -u | sed 's/^/ppa:/' and show list of PPA it produces. Jan 15, 2017 at 19:31
  • Is a proxy set in your System? cat /etc/resolv.conf
    – user192526
    Jan 15, 2017 at 23:34
  • @GermanLashevich ppa:elementary-os/os-patches ppa:elementary-os/stable ppa:justsomedood/onlyelementary ppa:linrunner/tlp ppa:mpstark/elementary-tweaks-daily ppa:teejee2008/ppa ppa:versable/elementary-update ppa:webupd8team/sublime-text-2 ppa:webupd8team/sublime-text-3
    – Kachamenus
    Jan 16, 2017 at 2:28
  • 1
    theris no gateway in your /etc/resolv.conf´ Add gateway 10.5.16.1`
    – user192526
    Jan 17, 2017 at 11:53

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .